# Generated from atk_icons-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name atk_icons

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: The quickest way to use the awesome Agile Toolkit Icon Set within your Compass project
License: MIT
URL: http://github.com/welaika/atk_icons
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.6.2
# BuildRequires: rubygem(jeweler) < 1.7
BuildArch: noarch

%description
atk_icons is a Compass extension that wraps the awesome Agile Toolkit iconset
and exposes a couple of Sass mixins to use them within your project. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%{gem_instdir}/stylesheets
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/atk_icons.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.2-1
- Initial package
